> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Update Super Admin Company Assignments

PUT https://api-b2b.bigcommerce.com/api/v3/io/super-admins/{superAdminId}
Content-Type: application/json

Assigns or unassigns Companies for the Super Admin associated with `superAdminId`. This operation is non-destructive, meaning that only Companies represented in the request body will be affected by the request.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/b2b/management/super-admin/put-super-admins-super-admin-id

## Authentication

- `X-Auth-Token` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
- `X-Store-Hash` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

## Request

### Path parameters

- `superAdminId` (integer, required) — The unique ID of the Super Admin account. Does **not** match the BigCommerce customer account ID.

### Body (application/json)

This endpoint expects an object.

- `companies` (list of SuperAdminsSuperAdminIdPutRequestBodyContentApplicationJsonSchemaCompaniesItems, required)

## Response

### 200

SUCCESS

- `code` (integer, optional, default: 200)
- `data` (SuperAdminsSuperAdminIdPutResponsesContentApplicationJsonSchemaData, optional)
- `meta` (SuperAdminsSuperAdminIdPutResponsesContentApplicationJsonSchemaMeta, optional)

## Errors

### 404 Not Found Error

NOT FOUND

- `code` (integer, optional, default: 404)
- `data` (SuperAdminsSuperAdminIdPutResponsesContentApplicationJsonSchemaData, optional)
- `meta` (SuperAdminsSuperAdminIdPutResponsesContentApplicationJsonSchemaMeta, optional)

## Types

### SuperAdminsSuperAdminIdPutRequestBodyContentApplicationJsonSchemaCompaniesItems

- `companyId` (integer, required) — The unique numeric ID of a Company account.
- `isAssigned` (boolean, required) — Indicates whether the Super Admin should be assigned to the Company. A value of `true` indicates the assignment will be added or will remain if already assigned. A value of `false` indicates the assignment will be removed or remain so if already unassigned.

### SuperAdminsSuperAdminIdPutResponsesContentApplicationJsonSchemaData

### SuperAdminsSuperAdminIdPutResponsesContentApplicationJsonSchemaMeta

- `message` (string, optional, default: The ID provided does not match an available resource of the appropriate type.)

## Examples

**Request**

```json
{
  "companies": [
    {
      "companyId": 123456,
      "isAssigned": true
    }
  ]
}
```

**Response**

```json
{
  "code": 200,
  "data": {},
  "meta": {
    "message": "Success"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api-b2b.bigcommerce.com/api/v3/io/super-admins/11"

payload = { "companies": [
        {
            "companyId": 123456,
            "isAssigned": True
        }
    ] }
headers = {
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api-b2b.bigcommerce.com/api/v3/io/super-admins/11';
const options = {
  method: 'PUT',
  headers: {'X-Auth-Token': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"companies":[{"companyId":123456,"isAssigned":true}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v3/io/super-admins/11"

	payload := strings.NewReader("{\n  \"companies\": [\n    {\n      \"companyId\": 123456,\n      \"isAssigned\": true\n    }\n  ]\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v3/io/super-admins/11")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"companies\": [\n    {\n      \"companyId\": 123456,\n      \"isAssigned\": true\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api-b2b.bigcommerce.com/api/v3/io/super-admins/11")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"companies\": [\n    {\n      \"companyId\": 123456,\n      \"isAssigned\": true\n    }\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api-b2b.bigcommerce.com/api/v3/io/super-admins/11', [
  'body' => '{
  "companies": [
    {
      "companyId": 123456,
      "isAssigned": true
    }
  ]
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v3/io/super-admins/11");
var request = new RestRequest(Method.PUT);
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"companies\": [\n    {\n      \"companyId\": 123456,\n      \"isAssigned\": true\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["companies": [
    [
      "companyId": 123456,
      "isAssigned": true
    ]
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v3/io/super-admins/11")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```